from distutils.core import setup
import glob

setup(name='gamedb',
    version='0.1.1',
    description='Game Database Tool',
    author='Juhani Numminen',
    author_email='juhaninumminen0@gmail.com',
    url='https://launchpad.net/gamedb/',
    license='GNU GPL v3',
    requires=['pygtk (>=2.0)'],
    scripts=['gamedb'],
    data_files=[('share/applications', ['data/gamedb.desktop']),
                ('share/pixmaps', ['data/icons/48x48/apps/gamedb.png']),
                ('share/icons/hicolor/scalable/apps', glob.glob('data/icons/scalable/apps/*.svg')),
                ('share/icons/hicolor/96x96/apps', glob.glob('data/icons/96x96/apps/*.png')),
                ('share/icons/hicolor/48x48/apps', glob.glob('data/icons/48x48/apps/*.png')),
                ('share/icons/hicolor/32x32/apps', glob.glob('data/icons/32x32/apps/*.png')),
                ('share/icons/hicolor/24x24/apps', glob.glob('data/icons/24x24/apps/*.png')),
                ('share/icons/hicolor/16x16/apps', glob.glob('data/icons/16x16/apps/*.png')),
                ('share/gamedb', ['data/gamedb.glade'])]
     )
